/*
このファイルの中身は、NTT オープンソースライセンス　バージョン 1.0（「本
契約」という）の適用を受けます。
本契約を遵守しない限り、このファイルを使用してはなりません。
本契約のコピーは、次のＵＲＬから入手できます。
【配布サイトのURL】 http://www.oss.ecl.ntt.co.jp/lms/

本契約に基づき頒布されるソフトウェアは、現状のまま、明示又は黙示のあらゆ
る種類の保証なしで、頒布されます。本契約に基づく権利及び制限を律する特定
の文言については、本契約を参照してください。

「オリジナルコード」は、 NTT Cyber Space Laboratories Code です。 
「オリジナルコード」の「初期開発者」は、日本電信電話株式会社です。  
日本電信電話株式会社により創作された部分は、Copyright (C) 2004 
日本電信電話株式会社 です。
全ての権利が留保されます。 
「コントリビュータ」：_____________________________________ 


The contents of this file are subject to the NTT Opensource License
Version 1.0 (the License); you may not use this file except in
compliance with the License. You may obtain a copy of the License at
【配布サイトのURL】 http://www.oss.ecl.ntt.co.jp/lms/

Software distributed under the License is distributed on an AS IS
basis, WITHOUT WARRANTY OF ANY KIND, either express or implied. See the
License for the specific language governing rights and limitations
under the License.

The Original Code is NTT Cyber Space Laboratories Code .

The Initial Developer of the Original Code is NIPPON TELEGRAPH AND 
TELEPHONE CORPORATION.
Portions created by the NIPPON TELEGRAPH AND TELEPHONE CORPORATION 
are Copyright (C) 2004 NIPPON TELEGRAPH AND TELEPHONE CORPORATION. 
All Rights Reserved.

Contributor(s) ______________________________________.
*/

//
//	ユニットログクラス
//			変更履歴
//				2004.01.08	新規作成	五木田泰史
//
package jp.co.ntt.lms.lo.SmartForce;

public class UnitLogRecord
{
	// メンバ変数
	String mstrStudentID;													// 生徒ID
	String mstrCoursesID;													// 教材ID
	String mstrUnitOrder;													// ユニットID(教材ごとに一意)
	String mstrUnitAccessCount;												// ユニットアクセス回数
	String mstrUnitTestCount;												// ユニットテスト回数
	String mstrUnitAverageScore;											// ユニット平均点
	String mstrUnitHighestScore;											// ユニット最高点
	String mstrUnitPassFlag;												// ユニット合否フラグ
	
	/**
	 * コンストラクタ
	 **/
	public UnitLogRecord()
	{
		;
	}
	
	/**
	 * 初期化処理
	 **/
	public void initialize()
	{
		mstrStudentID = "";
		mstrCoursesID = "";
		mstrUnitOrder = "";
		mstrUnitAccessCount = "";
		mstrUnitTestCount = "";
		mstrUnitAverageScore = "0";
		mstrUnitHighestScore = "0";
	}
	
	/**
	 * 生徒ID設定
	 *
	 * @param String メンバ変数項目
	 **/
	public void setStudentID(String strStudentID)
	{
		mstrStudentID = strStudentID;
	}
	
	/**
	 * 生徒ID取得
	 *
	 * @return String メンバ変数項目
	 **/
	public String getStudentID()
	{
		return mstrStudentID;
	}
	
	/**
	 * 教材ID設定
	 *
	 * @param String メンバ変数項目
	 **/
	public void setCoursesID(String strCourse)
	{
		mstrCoursesID = strCourse;
	}
	
	/**
	 * 教材ID取得
	 *
	 * @return String メンバ変数項目
	 **/
	public String getCoursesID()
	{
		return mstrCoursesID;
	}
	
	/**
	 * ユニットオーダー設定
	 *
	 * @param String メンバ変数項目
	 **/
	public void setUnitOrder(String strUnitOrder)
	{
		mstrUnitOrder = strUnitOrder;
	}
	
	/**
	 * ユニットオーダー取得
	 *
	 * @return String メンバ変数項目
	 **/
	public String getUnitOrder()
	{
		return mstrUnitOrder;
	}
	
	/**
	 * ユニット学習回数設定
	 *
	 * @param String メンバ変数項目
	 **/
	public void setUnitAccessCount(String strUnitAccessCount)
	{
		mstrUnitAccessCount = strUnitAccessCount;
	}
	
	/**
	 * ユニット学習回数取得
	 *
	 * @return String メンバ変数項目
	 **/
	public String getUnitAccessCount()
	{
		return mstrUnitAccessCount;
	}
	
	/**
	 * ユニットテスト回数設定
	 *
	 * @param String メンバ変数項目
	 **/
	public void setUnitTestCount(String strUnitTestCount)
	{
		mstrUnitTestCount = strUnitTestCount;
	}
	
	/**
	 * ユニットテスト回数取得
	 *
	 * @return String メンバ変数項目
	 **/
	public String getUnitTestCount()
	{
		return mstrUnitTestCount;
	}
	
	/**
	 * ユニット平均点設定
	 *
	 * @param String メンバ変数項目
	 **/
	public void setUnitAverageScore(String strUnitAverageScore)
	{
		mstrUnitAverageScore = strUnitAverageScore;
	}
	
	/**
	 * ユニット平均点取得
	 *
	 * @return String メンバ変数項目
	 **/
	public String getUnitAverageScore()
	{
		return mstrUnitAverageScore;
	}
	
	/**
	 * ユニット最高点設定
	 *
	 * @param String メンバ変数項目
	 **/
	public void setUnitHighestScore(String strUnitHighestScore)
	{
		mstrUnitHighestScore = strUnitHighestScore;
	}
	
	/**
	 * ユニット最高点取得
	 *
	 * @return String メンバ変数項目
	 **/
	public String getUnitHighestScore()
	{
		return mstrUnitHighestScore;
	}
	
}

